import base64
import hashlib


# sha256加密
# 传入: 未加密的文本
def en_sha256(text):
    t = hashlib.sha256()
    t.update(text.encode(encoding='utf-8'))
    return t.hexdigest()


# base64加密
# 传入: 未加密的文本
def en_base64(text):
    text = base64.b64encode(text.encode('utf-8'))
    text = str(text, encoding='utf-8')
    return text


# base64解密
def de_base64(t):
    t = base64.b64decode(t.encode('utf-8'))
    t = str(t, encoding='utf-8')
    return t


# 提取文件的sha256
def CalcFileSha256(filename):
    with open(filename, "rb") as f:
        sha256obj = hashlib.sha256()
        sha256obj.update(f.read())
        hash_value: str = sha256obj.hexdigest()
        return hash_value